Subject: [RFC PATCH 2/2] iommu: rockchip: Handle system-wide and runtime PM

From: [email-masked] (Kevin Hilman)
Date: Mon, 15 Dec 2014 10:06:51 -0800

Geert Uytterhoeven <[email-masked]> writes:

> On Fri, Dec 12, 2014 at 9:04 PM, Kevin Hilman <[email-masked]> wrote:
>> An even more exciting problem exists when a CPU is in the same domain as
>> other peripherals, those peripherals are all idle and the power domain
>> is gated. :)
>
> We do have pm_genpd_attach_cpuidle() and pm_genpd_name_attach_cpuidle()?

Exactly.  

And I think to solve this problem, we need to generalize the attaching
of dependent devices to a PM domain.

Kevin